.puppet .de1, .puppet .de2 {-moz-user-select: text;-khtml-user-select: text;-webkit-user-select: text;-ms-user-select: text;user-select: text;
margin:0; padding: 0 8px; background:none; vertical-align:top;color:#000;border-left: 1px solid #ddd; margin: 0 0 0 -7px; position: relative; background: #ffffff;}
.puppet  {color:#ACACAC;}
.puppet .imp {font-weight: bold; color: red;}
.puppet li, .puppet .li1 {-moz-user-select: -moz-none;-khtml-user-select: none;-webkit-user-select: none;-ms-user-select: none;user-select: none;
}
.puppet .ln {width:1px;text-align:right;margin:0;padding:0 2px;vertical-align:top;}
.puppet .kw1 {color:#9966CC; font-weight:bold;}
.puppet .kw2 {color:#0000FF; font-weight:bold;}
.puppet .kw3 {color:#CC0066; font-weight:bold;}
.puppet .kw4 {color:#CC00FF; font-weight:bold;}
.puppet .co1 {color:#008000; font-style:italic;}
.puppet .co4 {color: #cc0000; font-style: italic;}
.puppet .coMULTI {color:#000080; font-style:italic;}
.puppet .es0 {color:#000099;}
.puppet .br0 {color:#006600; font-weight:bold;}
.puppet .sy0 {color:#006600; font-weight:bold;}
.puppet .st0 {color:#996600;}
.puppet .nu0 {color:#006666;}
.puppet .me1 {color:#9900CC;}
.puppet .re0 {color:#ff6633; font-weight:bold;}
.puppet .re1 {color:#0066ff; font-weight:bold;}
.puppet .re2 {color:#6666ff; font-weight:bold;}
.puppet .re3 {color:#ff3333; font-weight:bold;}
.puppet .ln-xtra, .puppet li.ln-xtra, .puppet div.ln-xtra {background:#FFFF88;}
.puppet span.xtra { display:block; }
